import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/yuzhang21/afd1af3a28631a12dfd8eee37520309f/raw/ILINet02.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
			d.YEAR = new Date(d.YEAR),
      d.year = d.date.getFullYear(),
      d.air_pressure = +d.air_pressure,
      d.air_temperature_avg = +d.air_temperature_avg,
      d.air_temperature_max = +d.air_temperature_max,
      d.air_temperature_min = +d.air_temperature_min,
      d.relative_humidity = +d.relative_humidity,
      d.precipitation = +d.precipitation,
      d.wind_speed = +d.wind_speed
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data
              //.slice(0, 50)
							.sort(function(a, b) {
      					return d3.ascending(a.date, b.date)
							})
			);
    });
  }, []);
  return data;
};